import { Request, Response, Router } from "express";

import feedController from "@server/controllers/guild/feed.controller";
import filterController from "@server/controllers/guild/filter.controller";
import styleController from "@server/controllers/guild/style.controller";
import contentController from "@server/controllers/guild/content.controller";

const router = Router();

router.get("/:guildId", (request: Request, response: Response) => {
    const guildId = request.params.guildId;
    response.redirect(`/guild/${guildId}/feeds`);
    return;
});

router.get("/:guildId/feeds", feedController.get);
router.get("/:guildId/filters", filterController.get);
router.get("/:guildId/styles", styleController.get);
router.get("/:guildId/content", contentController.get);

export default router;